Compiling with 1.1.8

Does anyone know how to compile with the 1.1.8 SDK? I have it installed correctly and the code complete and docs work right but not the compile because of the missing -Xmx128m option in the compiler. There seems to be no way that I can find to remove this compile option. Does anyone know how? (not in the Project Properties|Compiler screen)

Thanks!

24 comments
Comment actions Permalink


I've tried to compile with 1.1.8 but I get the following error:

Information: 1 error
Information: 0 warnings
Information: java.lang.NoClassDefFoundError:
java/lang/reflect/AccessibleObject
Information: at com.intellij.rt.compiler.JavacRunner.main(Compiled Code)
Error: Compiler internal error. Process terminated with exit code 1

What can we do about it?

Daniel



"Carlo Bos" <carlo@sorenson.com> wrote in message
news:23978433.1061242296581.JavaMail.itn@is.intellij.net...

Does anyone know how to compile with the 1.1.8 SDK? I have it installed

correctly and the code complete and docs work right but not the compile
because of the missing -Xmx128m option in the compiler. There seems to be no
way that I can find to remove this compile option. Does anyone know how?
(not in the Project Properties|Compiler screen)
>

Thanks!



0
Comment actions Permalink

Hey, create your own post!
Your problem is different from mine. You need to look at your classpath variable to make sure the classes.zip is included.
Also you must be using a different compiler. If not please tell me how you were able to remove the -Xmx128m option from the compile commandline.

0
Comment actions Permalink

remove the -Xmx128m option from the compile commandline.


Remove the 128 mem parameter from the project->compiler page ?


0
Comment actions Permalink

As I hinted in my original post, this compile page does not give one the ability to remove this flag. Even when removing the value 128 from the maximum heap size or setting it to 0 or -1 does not remove this flag.

0
Comment actions Permalink

Daniel Moldovan wrote:

I've tried to compile with 1.1.8 but I get the following error:

Information: 1 error
Information: 0 warnings
Information: java.lang.NoClassDefFoundError:
java/lang/reflect/AccessibleObject
Information: at com.intellij.rt.compiler.JavacRunner.main(Compiled Code)
Error: Compiler internal error. Process terminated with exit code 1

What can we do about it?


you can wait for next eap it seems to be fixed in 898
http://www.intellij.net/tracker/idea/viewSCR?publicId=14981

0
Comment actions Permalink

This one should be fixed already. What build did you try?

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"


"Daniel Moldovan" <d.moldovan@level7.ro> wrote in message news:bhshco$m4p$1@is.intellij.net...
>

I've tried to compile with 1.1.8 but I get the following error:

>

Information: 1 error
Information: 0 warnings
Information: java.lang.NoClassDefFoundError:
java/lang/reflect/AccessibleObject
Information: at com.intellij.rt.compiler.JavacRunner.main(Compiled Code)
Error: Compiler internal error. Process terminated with exit code 1

>

What can we do about it?

>

Daniel

>


0
Comment actions Permalink

What build did you install?

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"

"Carlo Bos" <carlo@sorenson.com> wrote in message news:23978433.1061242296581.JavaMail.itn@is.intellij.net...

Does anyone know how to compile with the 1.1.8 SDK? I have it installed correctly and the code complete and docs work right but

not the compile because of the missing -Xmx128m option in the compiler. There seems to be no way that I can find to remove this
compile option. Does anyone know how? (not in the Project Properties|Compiler screen)
>

Thanks!



0
Comment actions Permalink

I'm using your last released build. 896

Dan


"Eugene Zhuravlev (JetBrains)" <jeka@intellij.com> wrote in message
news:bi1qql$iqe$1@is.intellij.net...

This one should be fixed already. What build did you try?

>

--

>

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"

>
>

"Daniel Moldovan" <d.moldovan@level7.ro> wrote in message

news:bhshco$m4p$1@is.intellij.net...

>

I've tried to compile with 1.1.8 but I get the following error:

>

Information: 1 error
Information: 0 warnings
Information: java.lang.NoClassDefFoundError:
java/lang/reflect/AccessibleObject
Information: at com.intellij.rt.compiler.JavacRunner.main(Compiled

Code)

Error: Compiler internal error. Process terminated with exit code 1

>

What can we do about it?

>

Daniel

>

>
>


0
Comment actions Permalink

Ok, this is fixed in 898
http://www.intellij.net/tracker/idea/viewSCR?publicId=14981


--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"

"Daniel Moldovan" <d.moldovan@level7.ro> wrote in message news:bi1t1u$sh6$1@is.intellij.net...

I'm using your last released build. 896

>

Dan

>
>

"Eugene Zhuravlev (JetBrains)" <jeka@intellij.com> wrote in message
news:bi1qql$iqe$1@is.intellij.net...

This one should be fixed already. What build did you try?

>

--

>

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"

>
>

"Daniel Moldovan" <d.moldovan@level7.ro> wrote in message

news:bhshco$m4p$1@is.intellij.net...

>

I've tried to compile with 1.1.8 but I get the following error:

>

Information: 1 error
Information: 0 warnings
Information: java.lang.NoClassDefFoundError:
java/lang/reflect/AccessibleObject
Information: at com.intellij.rt.compiler.JavacRunner.main(Compiled

Code)

Error: Compiler internal error. Process terminated with exit code 1

>

What can we do about it?

>

Daniel

>

>
>

>
>


0
Comment actions Permalink

The 898 is not available in the EAP. I used both the 3.0.5 stable build and the lastest available build 896 and got the same error when I tried to compile.

The -Xmx128m flag is not supported for this compiler and there is no way to remove it. Also when trying to debug the -Xdebug flag does not exist in the compiler either.

0
Comment actions Permalink

Debugging is supported only for JDK 1.2 and higher, because JPDA exists only for these JDK versions.
As for the 1.1.8 compiler, could you please send me the contents of your "config" directory as well as your project (ipr and iws)
files for investigation?

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"

"Carlo Bos" <carlo@sorenson.com> wrote in message news:22512825.1061478297484.JavaMail.itn@is.intellij.net...

The 898 is not available in the EAP. I used both the 3.0.5 stable build and the lastest available build 896 and got the same

error when I tried to compile.
>

The -Xmx128m flag is not supported for this compiler and there is no way to remove it. Also when trying to debug the -Xdebug flag

does not exist in the compiler either.


0
Comment actions Permalink

Here are the files you requested on the 1.1.8 compile error



Attachment(s):
BandwidthApplet.iml
BandwidthApplet.ipr
BandwidthApplet.iws
jdk118compile.JPG
0
Comment actions Permalink

I see only iml file. What about the contents of the "config" directory and ipr/iws files?

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"


"Carlo Bos" <carlo@sorenson.com> wrote in message news:14285489.1061564193332.JavaMail.itn@is.intellij.net...

Here are the files you requested on the 1.1.8 compile error



0
Comment actions Permalink

Huh??? Wat do you mean? I can see all those files posted. Send me an email to carlo@sorenson.com and I'll reply with the files attached. Maybe you'll get them then.

0
Comment actions Permalink

Looks like a problem of web->nntp replication which only picks up the first attachment.

Get them here: http://www.intellij.net/forums/thread.jsp?forum=22&thread=38439&tstart=0&trange=15#549296

0
Comment actions Permalink

see attachment



Attachment(s):
BandwidthApplet.ipr
0
Comment actions Permalink

see attachment



Attachment(s):
BandwidthApplet.iws
0
Comment actions Permalink

see attachment

0
Comment actions Permalink

see attachment



Attachment(s):
jdk118compile.JPG
0
Comment actions Permalink

Yep, I see all attachments now from the WEB UI, sorry.

0
Comment actions Permalink

Just tried the latest build (fresh install) and did not manage to reproduce. I guess, the JDK version, that is stored in config/options/jdk.table.xml is saved in a wrong way (should be something like this:
]]>
)

Try to remove the JDK from IDEA and add it again.

0
Comment actions Permalink

removing/adding the jdk does not help. But I got the latest build (#908) yesterday and it works fine now.

0
Comment actions Permalink

I get the following error in build 908 when running a single class in jdk1.1.8_010

Steps to reproduce:
1. Create a new project using the JDK 1.1.8_010 SDK
2. Create a class with a main in it.
4. Right click on the class in the Project|Sourcepath window and select 'Compile ""' 3. Right click on the class in the Project|Sourcepath window and select 'Run "]]>"'

Any ideas?
Thanks,
Carlo

0
Comment actions Permalink

Use build #915.

--

Best regards,
Eugene Zhuravlev
JetBrains, Inc, http://www.intellij.com
"Develop with pleasure!"


"Carlo Bos" <carlo@sorenson.com> wrote in message news:16087518.1062168716770.JavaMail.itn@is.intellij.net...

I get the following error in build 908 when running a single class in jdk1.1.8_010

>

 java.lang.NoClassDefFoundError: java/lang/reflect/AccessibleObject
> at com.intellij.rt.execution.application.AppMain.main(Compiled Code)
> ]]>

Steps to reproduce:
1. Create a new project using the JDK 1.1.8_010 SDK
2. Create a class with a main in it.
4. Right click on the class in the Project|Sourcepath window and select 'Compile "<classname>"'
3. Right click on the class in the Project|Sourcepath window and select 'Run "<classname>"'

>

Any ideas?
Thanks,
Carlo



0

Please sign in to leave a comment.